# Class AssociationType

Object
CodeList<AssociationType>
AssociationType

All Implemented Interfaces:
  `Serializable, Comparable<AssociationType>`

@UML(identifier="DS_AssociationTypeCode", specification=ISO_19115) public final class AssociationType extends CodeList<AssociationType>
Justification for the correlation of two datasets.

Since:
  2.1
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final AssociationType`
  `CROSS_REFERENCE`
  Reference from one dataset to another.
  `static final AssociationType`
  `LARGER_WORD_CITATION`
  Reference to a master dataset of which this one is a part.
  `static final AssociationType`
  `PART_OF_SEAMLESS_DATABASE`
  Part of same structured set of data held in a computer.
  `static final AssociationType`
  `SOURCE`
  Mapping and charting information from which the dataset content originates.
  `static final AssociationType`
  `STEREO_MATE`
  Part of a set of imagery that when used together, provides three-dimensional images.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static AssociationType`
  `valueOf(String code)`
  Returns the association type that matches the given string, or returns a new one if none match it.
  `static AssociationType[]`
  `values()`
  Returns the list of `AssociationType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CROSS_REFERENCE

    @UML(identifier="crossReference", obligation=CONDITIONAL, specification=ISO_19115) public static final AssociationType CROSS_REFERENCE
    Reference from one dataset to another.

  - ### LARGER_WORD_CITATION

    @UML(identifier="largerWorkCitation", obligation=CONDITIONAL, specification=ISO_19115) public static final AssociationType LARGER_WORD_CITATION
    Reference to a master dataset of which this one is a part.

  - ### PART_OF_SEAMLESS_DATABASE

    @UML(identifier="partOfSeamlessDatabase", obligation=CONDITIONAL, specification=ISO_19115) public static final AssociationType PART_OF_SEAMLESS_DATABASE
    Part of same structured set of data held in a computer.

  - ### SOURCE

    @UML(identifier="source", obligation=CONDITIONAL, specification=ISO_19115) public static final AssociationType SOURCE
    Mapping and charting information from which the dataset content originates.

  - ### STEREO_MATE

    @UML(identifier="stereoMate", obligation=CONDITIONAL, specification=ISO_19115) public static final AssociationType STEREO_MATE
    Part of a set of imagery that when used together, provides three-dimensional images.

- ## Method Details

  - ### values

    public static AssociationType[] values()
    Returns the list of `AssociationType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public AssociationType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<AssociationType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static AssociationType valueOf(String code)
    Returns the association type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.